#!/usr/bin/env bash

function broadcast() {
  local dir="$(getValueByKey 'PODMAN_DIRECTORY')/${1}"
  podman exec -it "$1" rcon -m -H 127.0.0.1 -p 25575 -P $(grep -E "^rcon.password" $dir/data/server.properties | cut -d= -f2)\
  tellraw @a [{\"text\":\"[SYSTEM] \",\"color\":\"red\",\"bold\":true},{\"text\": \"$2\",\"color\":\"light_purple\",\"bold\":false}]
}

function countdown() {
  local dir="$(getValueByKey 'PODMAN_DIRECTORY')/${1}"
  
  for i in {10..1}; do
    podman exec -it "$1" rcon -m -H 127.0.0.1 -p 25575 -P $(grep -E "^rcon.password" $dir/data/server.properties | cut -d= -f2)\
    tellraw @a [{\"text\": \"$i\",\"color\":\"light_purple\",\"bold\":false}]
  done
}
